org.apache.flume.channel.file.encryption

## Class CipherProvider.Encryptor.Builder<T extends CipherProvider.Encryptor>

- java.lang.Object
- - org.apache.flume.channel.file.encryption.CipherProvider.Encryptor.Builder<T>

- Direct Known Subclasses:
    AESCTRNoPaddingProvider.EncryptorBuilder
  Enclosing class:
    CipherProvider.Encryptor

      public abstract static class CipherProvider.Encryptor.Builder<T extends CipherProvider.Encryptor>
      extends Object

  Builder implementations MUST have a no-arg constructor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Key` | `key`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CipherProvider.Encryptor.Builder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract T` | `build()`
    `CipherProvider.Encryptor.Builder<T>` | `setKey(Key key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### key

          protected Key key

  - ### Constructor Detail

    - #### CipherProvider.Encryptor.Builder

          public CipherProvider.Encryptor.Builder()

  - ### Method Detail

    - #### setKey

          public CipherProvider.Encryptor.Builder<T> setKey(Key key)

    - #### build

          public abstract T build()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.